Loading...
Searching...
No Matches
{he,sy}swapr: apply 2-sided permutation
LAPACK » Linear solve, AX = B » LDL: computational routines (factor, cond, etc.)
Collaboration diagram for {he,sy}swapr: apply 2-sided permutation:

## Functions

subroutine | cheswapr (uplo, n, a, lda, i1, i2)
| CHESWAPR applies an elementary permutation on the rows and columns of a Hermitian matrix.
subroutine | csyswapr (uplo, n, a, lda, i1, i2)
| CSYSWAPR
subroutine | dsyswapr (uplo, n, a, lda, i1, i2)
| DSYSWAPR applies an elementary permutation on the rows and columns of a symmetric matrix.
subroutine | ssyswapr (uplo, n, a, lda, i1, i2)
| SSYSWAPR applies an elementary permutation on the rows and columns of a symmetric matrix.
subroutine | zheswapr (uplo, n, a, lda, i1, i2)
| ZHESWAPR applies an elementary permutation on the rows and columns of a Hermitian matrix.
subroutine | zsyswapr (uplo, n, a, lda, i1, i2)
| ZSYSWAPR

## Detailed Description